<template>
  <div class="main">
    <div class="wrapper">
      <div class="text-bar">
        <div :class="contentInfo.classNmae" class="bgsize"></div>
        <div class="content" v-html="contentInfo.text"></div>
        <div class="btn-bar" v-if="contentInfo.btntext">
          <div class="btn-text">
            <!-- @click="gotopath(contentInfo.url)" -->
            <div class="nuv_item pointer" >
              {{ contentInfo.btntext }}
            </div>
            <i class="iconfont icon-gengduo" style="font-size: 20px;"></i>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
import { defineProps, computed } from 'vue'
import { useRouter } from 'vue-router'
import useUserStore from '~/store/index'
const userStore = useUserStore()
const router = useRouter()
const props = defineProps({
  index: {
    type: Number,
    default: 0,
  },
})

// 返回title样式类名
const contentInfo = computed(() => {
  switch (props.index) {
    case 0:
      return {
        classNmae: 'wrapper1',
        text:
          '公司成立于2024年，是一家专注于AI画图、AI问答、AI魔镜等多位一体的方案和信息技术服务提供商。',
      }
      break
    // case 1:
    //   return {
    //     classNmae: 'wrapper2',
    //     text:
    //       '以倍数级超分算法，增强人物面部细节，获得更好的图像恢复效果,快速输出高质<br>量的清晰图片/视频。大流量项目实际应用，稳定可靠输出，领先大厂，促进AI人<br>像服务向上向善；该项目是与西南财大人工智能学院联合实践项目。',
    //     // btntext: "AI魔镜介绍",
    //     url: '',
    //   }
    //   break
    // case 2:
    //   return {
    //     classNmae: 'wrapper3',
    //     text:
    //       '电子取证是指利用计算机软硬件技术，以符合法律规范的方式对计算机入侵、破<br>坏、欺诈、攻击等犯罪行为进行证据获取、保存、分析和出示的过程。数据源<br>是指数据库应用程序所使用的数据库或者数据库服务器。',
    //     // btntext: "区块链技术应用",
    //     url: '',
    //   }
    //   break
    case 1:
      return {
        classNmae: 'wrapper4',
        text:
          'AI魔镜以倍数级超分算法，增强人物面部细节，获得更好的图像恢复效果,快速输出高质量的清晰图片/视频。大流量项目实际应用，稳定可靠输出，领先大厂，促进AI人像服务向上向善;该项目是与西南财大人工智能学院联合实践项目。',
        btntext: 'AI魔镜介绍',
        url: '/product',
      }
      break
    case 2:
      return {
        classNmae: 'wrapper5',
        text:
          'AI问画宝小程序功能包括多轮对话、文案创作、逻辑推理、多态理解、多语言支持。能够跟人类进行多轮的交互，也融入了多模态的知识理解，且有文案创作能力，能够续写小说，编写邮件等。，快来对话吧!',
        btntext: '小程序介绍',
        url: '/informationize',
      }
      break
    case 3:
      return {
        classNmae: 'wrapper6',
        text:
          'AI问画宝网页版是一个基于人工智能技术的艺术生成器。它可以根据用户提供的文本提示，自动创作出各种艺术风格的图片，如印象派、后印象派、抽象画等。提供简单易用的界面，让用户快速创建自己的艺术作品，并支持保存和分享。',
        btntext: '网页版介绍',
        url: '/service',
      }
      break
    default:
      return {}
  }
})

const gotopath = (path) => {
  router.push({ path, query: {} })
  userStore.setIndex()
}
</script>

<style lang="scss" scoped>
.main {
  height: 100%;
  width: 100%;
  overflow-y: scroll;
}
.wrapper {
  // position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  height: 100%;
  width: 100%;
  z-index: 20;
  .text-bar {
    position: absolute;
    color: #fff;
    animation: 0.7s slideUp ease-in-out;
    top: 50%;
    transform: translateY(-46%);
    left: 110px;
    right: 110px;
  }

  .content {
    width: 834px;
    margin-top: 68px;
    color: #fefeff;
    font-weight: 200;
    opacity: 0.7;
    font-size: 20px;
    line-height: 35px;
    font-family: SourceHanSansCN-Normal;
  }
  .btn-bar {
    display: inline-block;
    min-width: 300px;
    margin-top: 150px;
    font-size: 30px;
    line-height: 1;
    width: 125%;
  }
  .btn-text {
    opacity: 0.7;
    display: inline-block;
    transition: 0.3s;
    a {
      text-decoration: none;
    }
    .nuv_item {
      color: #fff;
      display: inline-block;
      margin-right: 25px;
    }
  }
  .btn-text:hover {
    opacity: 1;
    transition: 0.3s;
    transform: translateY(-10px);
    a {
      color: #fff;
    }
  }
}
</style>
